# $Id: smeserver-bridge-interface.spec,v 1.1 2013/11/11 17:21:01 vip-ire Exp $
# Authority: vip-ire
# Name: Daniel Berteaud

%define version 0.2
%define release 1
%define name smeserver-bridge-interface


Summary:        Configure a bridge interface
Name:           %{name}
Version:        %{version}
Release:        %{release}%{?dist}
License:        GPL
Group:          System/Servers
Source:         %{name}-%{version}.tar.xz

BuildRoot:      /var/tmp/%{name}-%{version}-%{release}-buildroot
URL:            http://www.firewall-services.com/

BuildRequires:  e-smith-devtools

Requires:       bridge-utils
Requires:	openvpn
Buildarch:      noarch
Conflicts:	smeserver-openvpn-bridge.fws
Conflicts:	smeserver-openvpn-bridge-fws
AutoReqProv:    no

%description
This package allows you to replace the internal interface with a bridge
interface (and the original internal interface enslaved to it).
It's usefull for OpenVPN in bridge mode but can also be used for virtual host
configuration

%changelog
* Mon Nov 11 2013 Daniel B. <daniel@firewall-services.com> - 0.2-1.sme
- Rebuild for SME9

* Tue Jun 19 2012 Daniel B. <daniel@firewall-services.com> - 0.1-6.sme
- Wait after physical interface config
  (fix a random bug in serveronly mode)
- Ensure the bridge takes the MAC address of the physical interface
- Optionally set the bridge interface in promiscuous mode

* Tue Apr 19 2011 Daniel B. <daniel@firewall-services.com> - 0.1-5.sme
- Fix ifcfg templates expension on SME8 [SME: 6092]

* Fri May 29 2009 Daniel B. <daniel@firewall-services.com> [0.1-4]
- Enhance init script to display what it's doing (starting/stoping etc...)
- Cleanup in spec file

* Fri Jan 16 2009 Daniel B. <daniel@firewall-services.com> [0.1-3]
- Set default status to enabled

* Mon Jan 12 2009 Daniel B. <daniel@firewall-services.com> [0.1-2]
- possibility to set multiple tap interfaces separated with commas

* Fri Dec 12 2008 Daniel B. <daniel@firewall-services.com> [0.1-1]
- Set the Name of InternalInterface to br0 when starting
- Do not set the Name of InternalInterface to br0 if service is disabled
  (during databases initialization)

* Tue Dec 02 2008 Daniel B. <daniel@firewall-services.com> [0.1-0]
- initial release

%prep

%setup -q -n %{name}-%{version}

%build
# Build symlinks
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
         > %{name}-%{version}-%{release}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)


%post

%preun
if [ $1 = 0 ] ; then
  /etc/rc.d/init.d/bridge stop >& /dev/null || :
fi

true

